## org.omg.CORBA
Class PolicyError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CORBA.PolicyError

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class PolicyError
extends UserException

Exception definition : PolicyError

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `reason` Exception member reason

Constructor Summary
`PolicyError()` Default constructor
`PolicyError(short reason)` Constructor with fields initialization
`PolicyError(java.lang.String orb_reason, short reason)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reason

    public short reason

  Exception member reason

Constructor Detail

### PolicyError

    public PolicyError()

  Default constructor

### PolicyError

    public PolicyError(short reason)

  Constructor with fields initialization
  Parameters:
    `reason` - reason exception member

### PolicyError

    public PolicyError(java.lang.String orb_reason,
                       short reason)

  Full constructor with fields initialization
  Parameters:
    `reason` - reason exception member